| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
RangeSelector< T > Class Template Reference
Basic

Selector based on range specification (an Interval). More...

`#include <selector.h>`

Inheritance diagram for RangeSelector< T >:
[legend]

## Public Member Functions
| RangeSelector ()
| RangeSelector (const T &t1, const T &t2)
Selector< T > * | clone () const override
bool | include (const T &t, const char *) override
bool | includes (const T &t) const override
const char * | selectorType () const override
Public Member Functions inherited from Selector< T >
virtual | ~Selector ()
virtual bool | canDoRange () const
virtual char | includesRange (const T &start, const T &stop) const
bool | isEqual (const Selector< T > &s) const
virtual bool | isOK () const

## Public Attributes
Interval< T > | range_

## Protected Member Functions
bool | isEq (const Selector< T > &rs) const override

## Detailed Description

template<class T>
class RangeSelector< T >

Selector based on range specification (an Interval).

<>

## Constructor & Destructor Documentation

## ◆ RangeSelector() [1/2]

template<class T >

RangeSelector< T >::RangeSelector | ( |  | ) |
| inline

## ◆ RangeSelector() [2/2]

template<class T >

RangeSelector< T >::RangeSelector | ( | const T & | t1,
|  | const T & | t2 )
| inline

## Member Function Documentation

## ◆ clone()

template<class T >

Selector< T > * RangeSelector< T >::clone | ( |  | ) | const
| inline override virtual

Implements Selector< T >.

## ◆ include()

template<class T >

bool RangeSelector< T >::include | ( | const T & | t,
|  | const char * | )
| inline override virtual

Reimplemented from Selector< T >.

## ◆ includes()

template<class T >

bool RangeSelector< T >::includes | ( | const T & | t | ) | const
| inline override virtual

Implements Selector< T >.

## ◆ isEq()

template<class T >

bool RangeSelector< T >::isEq | ( | const Selector< T > & | rs | ) | const
| inline override protected virtual

Implements Selector< T >.

## ◆ selectorType()

template<class T >

const char * RangeSelector< T >::selectorType | ( |  | ) | const
| inline override virtual

Implements Selector< T >.

## Member Data Documentation

## ◆ range_

template<class T >

Interval<T> RangeSelector< T >::range_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025